{% extends "default.html" %}
{% load static %}
{% load panel_helpers %}
{% block title %}{{ entity.label|capfirst }} ({{ panel.level4title.name }}){% endblock %}
{% block header %}
<script type="text/javascript" src="{% static 'django_ajax/js/jquery.ajax.min.js' %}"></script>
<script type="text/javascript" src="{% static 'django_ajax/js/jquery.ajax-plugin.min.js' %}"></script>
{% endblock %}

{% block content %}
<ol class="breadcrumb add-top-margin">
    <li class="breadcrumb-item">
        <a href="{% url 'panels:index' %}">Panels</a>
    </li>
    <li class="breadcrumb-item">
        <a href="{{ panel.panel.get_absolute_url }}">
            {{ panel.panel.name }}
        </a>
    </li>
    <li class="breadcrumb-item active">
        {{ entity.name }}
    </li>
</ol>

<div class="row">
    <div class="col-sm-2">
        <div id="genes_list" class="card" hx-swap-oob="true">
            {% include "panels/entity/evaluation_genes_list.html" %}
        </div>
        <div id="strs_list" class="card add-top-margin" hx-swap-oob="true">
            {% include "panels/entity/evaluation_strs_list.html" %}
        </div>
        <div id="regions_list" class="card add-top-margin" hx-swap-oob="true">
            {% include "panels/entity/evaluation_regions_list.html" %}
        </div>
    </div>
    <div class="col-sm-10">
        <div id="gene_header" hx-swap-oob="true">
            {% include "panels/entity/header.html" %}
        </div>
        <hr />
        <div class="lead">
            {% if entity.is_str %}
                Chromosome: {{ entity.chromosome }}<br />
                {% if entity.position_37 %}
                GRCh37 Position: {{ entity.position_37.lower }}-{{ entity.position_37.upper }}<br />
                {% endif %}
                GRCh38 Position: {{ entity.position_38.lower }}-{{ entity.position_38.upper }}<br />
                Repeated Sequence: {{ entity.repeated_sequence }}<br />
                Normal Number of Repeats: &lt; {{ entity.normal_repeats }}<br />
                Pathogenic Number of Repeats: = or &gt; {{ entity.pathogenic_repeats }}<br />
                <br />
            {% elif entity.is_region %}
                Chromosome: {{ entity.chromosome }}<br />
                {% if entity.position_37 %}
                GRCh37 Position: {{ entity.position_37.lower }}-{{ entity.position_37.upper }}<br />
                {% endif %}
                GRCh38 Position: {{ entity.position_38.lower }}-{{ entity.position_38.upper }}<br />
                Haploinsufficiency Score: {{ entity.human_haploinsufficiency_score }}<br />
                Triplosensitivity Score: {{ entity.human_triplosensitivity_score }}<br />
                Required percent of overlap: {{ entity.required_overlap_percentage }}%<br />
            {% endif %}
            {% if entity.is_region %}
                Variant types: {{ entity.type_of_variants|human_variant_types}}<br />
            {% endif %}
            {% if entity.gene.gene_symbol %}
            {{ entity.gene.gene_symbol }} ({{ entity.gene.gene_name }})<br />
            {% if entity.gene.ensembl_genes %}
                {% if entity.gene.ensembl_genes.GRch38.90  %}
                    EnsemblGeneIds (GRCh38):
                    <a href="http://www.ensembl.org/Homo_sapiens/Gene/Summary?db=core;g={{ entity.gene.ensembl_genes.GRch38.90.ensembl_id }}" target="_blank">{{ entity.gene.ensembl_genes.GRch38.90.ensembl_id }}</a>
                    <br />
                {% endif %}
                {% if entity.gene.ensembl_genes.GRch37.82 %}
                    EnsemblGeneIds (GRCh37):
                    <a href="http://Dec2016.archive.ensembl.org/Homo_sapiens/Gene/Summary?db=core;g={{ entity.gene.ensembl_genes.GRch37.82.ensembl_id }}" target="_blank">{{ entity.gene.ensembl_genes.GRch37.82.ensembl_id }}</a>
                    <br />
                {% endif %}
            {% endif %}
            {% if entity.gene.omim_gene|length > 0 %}
              <a href="http://omim.org/entry/{{ entity.gene.omim_gene.0 }}" target="_blank">OMIM: {{ entity.gene.omim_gene.0 }}</a>, <a href="https://www.ebi.ac.uk/gene2phenotype/search?panel=ALL&search_term={{ entity.gene.gene_symbol }}" target="_blank">Gene2Phenotype</a><br />
            {% endif %}
            {% with shared_panels=sharing_panels %}
                {{ entity.gene.gene_symbol }} is in <a href="{% url 'panels:entity_detail' entity.gene.gene_symbol %}">{{ shared_panels|length }} panel{{ shared_panels|pluralize }}</a>
            {% endwith %}
            {% endif %}
        </div>

        <div class="add-top-margin" data-module="tab-switcher" data-default-tab="evaluate">
            <ul class="nav nav-tabs" role="tablist">
                <li role="presentation" class="nav-item">
                    <a href="#evaluate" class="nav-link active" aria-controls="evaluate" role="tab" data-bs-toggle="tab">Reviews ({{ entity.number_of_evaluations }})</a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#details" class="nav-link" aria-controls="details" role="tab" data-bs-toggle="tab">Details</a>
                </li>
                <li role="presentation" class="nav-item">
                    <a href="#history" class="nav-link" aria-controls="history" role="tab" data-bs-toggle="tab">History</a>
                </li>
                {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                <li role="presentation" class="nav-item">
                    <a href="#review" class="nav-link" aria-controls="review" role="tab" data-bs-toggle="tab">Review feedback</a>
                </li>
                {% endif %}
            </ul>

            <div class="tab-content add-top-margin">
                <div role="tabpanel" class="tab-pane active" id="evaluate">
                    <div id="evaluate-content" hx-swap-oob="true">
                        {% include "panels/entity/evaluate.html" %}
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="details">
                    <div id="details-content" hx-swap-oob="true">
                        {% if entity.is_gene %}
                            {% include "panels/genepanelentrysnapshot/details.html" %}
                        {% elif entity.is_str %}
                            {% include "panels/strs/details.html" %}
                        {% elif entity.is_region %}
                            {% include "panels/region/details.html" %}
                        {% endif %}
                    </div>
                </div>
                <div role="tabpanel" class="tab-pane" id="history">
                    <div id="history-content" hx-swap-oob="true">
                        {% include "panels/entity/history.html" %}
                    </div>
                </div>
                {% if request.user.is_authenticated and request.user.reviewer.is_GEL %}
                <div role="tabpanel" class="tab-pane" id="review">
                    <div id="review-content" hx-swap-oob="true">
                        {% include "panels/entity/review.html" %}
                    </div>
                </div>
                {% endif %}
            </div>
        </div>
    </div>
</div>
{% endblock %}

{% block modals %}
  {% include "panels/modals/rating.html" %}
  {% include "panels/modals/mode_of_path.html" %}
  {% include "panels/modals/diagnostic.html" %}
  {% include "panels/modals/mode_of_inheritance.html" %}
{% endblock %}

{% block js %}
<script nonce="{{ CSP_NONCE }}">
    window.GeneTags = [{% for tag in entity.tags.all %}{% if tag %}'{{ tag }}'{% if not forloop.last %},{% endif %}{% endif %}{% endfor %}];
</script>
{% endblock %}
